Tencent Blade Security ได้เปิดเผยถึงชุดของช่องโหว่ที่ชื่อว่า ‘Megellan 2.0’ ซึ่งมีผลกระทบกับ SQLite Database ที่ Chrome ใช้เพื่อเก็บข้อมูลการใช้งาน โดยคาดว่าจะสามารถนำไปสู่การลอบรันโค้ดผ่าทางไกลหรือ Remote Code Execution ได้

Magellan เป็นช่องโหว่ที่ Tencent เคยเปิดเผยมาเมื่อธันวาคมปีก่อน โดยเกี่ยวกับการที่มีการตรวจสอบ input ของคำสั่ง SQL จาก Third-party ไม่ดีพอ ทำให้คนร้ายสามารถประดิษฐ์คำสั่ง SQL ที่มีโค้ดอันตรายร่วมเข้ามาได้ ทั้งนี้ผ่านไป 1 ปี Tencent ก็ได้มีการเปิดเผยช่องโหว่ Magellan 2.0 ออกมาซึ่งมีไอเดียเหมือนเดิมที่ประกอบไปด้วยชุดช่องโหว่ 5 รายการคือ CVE-2019-13734, CVE-2019-13750, CVE-2019-13751, CVE-2019-13752 และ CVE-2019-13753

ทั้งนี้แอปพลิเคชันใดที่ใช้งาน SQLite จะได้รับผลกระทบกับช่องโหว่ใหม่ด้วย เพียงแต่ว่าการใช้งานผ่านอินเทอร์เข้ามาก็ไม่ง่ายนักเพราะต้องมีการอนุญาตรับ input คำสั่ง SQL เข้ามาโดยตรง ซึ่งเป็นไปได้น้อย อย่างไรก็ตามกลับกันในมุมของ Chrome ที่ใช้ SQLite เพื่อเก็บค่า Setting และข้อมูลผู้ใช้จะมีการใช้ API ที่ชื่อ WebSQL เพื่อแปลง JavaScript เป็นคำสั่ง SQL เพื่อรัน SQLite Database ต่อ ซึ่งประเด็นคือถูกเปิดเป็น Default อยู่แล้วรวมถึงใน Opera ด้วย ดังนั้นมีโอกาสที่เว็บไซต์อันตรายจะใช้งานช่องโหว่กับผู้เยี่ยมชมที่ใช้ Chrome

ปัจจุบันนักวิจัยได้แจ้งเตือน Google และทีม SQLite แล้ว ซึ่ง Chrome ก็ถูกแพตช์ไปแล้วเมื่อ 2 สัปดาห์ก่อนภายใต้เวอร์ชัน 79.0.3945.79 แต่ในส่วนของ SQLite เองยังไม่ได้อัปเดตให้เวอร์ชัน Stable 3.30.1 ที่ออกมาเมื่อ 10 ธันวาคม ทั้งนี้ยังไม่พบว่าช่องโหว่ถูกใช้โจมตีจริง จึงเตือนให้ผู้ใช้งาน Chrome และนักพัฒนาแอปพลิเคชันรับทราบโดยทั่วกันครับ

ที่มา :  https://www.zdnet.com/article/google-chrome-impacted-by-new-magellan-2-0-vulnerabilities/





Source link

Write a comment:
*

Your email address will not be published.